package cn.yw.operationcount.alarmcount.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywcountuserrepairjobDao")
public class YwcountuserrepairjobDao  extends BaseSqlMapDAO{

	
	/**
	 * 查询总数
	 */
	public Integer count_Ywcountuserrepairjob(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywcountuserrepairjob",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Ywcountuserrepairjob(Map map) throws SQLException{
		return this.queryForPage("query_Ywcountuserrepairjob",map);
	}
	
	
	// 柱状图统计
	public List<Map> count_showBar(Map map) throws SQLException{
		return this.queryForList("count_userrepairjobshowBar",map);
	}
	
	// 首页统计
	public Map count_OrderHomepage(Map map) throws SQLException{
		return (Map) this.queryForObject("count_OrderHomepage",map);
	}
}
